Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
applied_preset_fields = client.cdn.presets.applied.get_resource_preset(
0,
)
print(applied_preset_fields.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
appliedPresetFields, err := client.CDN.Presets.Applied.GetResourcePreset(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", appliedPresetFields.ID)
}
curl --request GET \
--url https://api.gcore.com/cdn/resources/{resource_id}/preset \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cdn/resources/{resource_id}/preset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 42,
"name": "Static content acceleration",
"deletable": true,
"fields": [
"options.gzipOn",
"options.browser_cache_settings"
]
}Presets
Get CDN resource applied preset fields
Get the preset applied to a CDN resource and the list of resource fields managed by the preset.
GET
/
cdn
/
resources
/
{resource_id}
/
preset
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
applied_preset_fields = client.cdn.presets.applied.get_resource_preset(
0,
)
print(applied_preset_fields.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
appliedPresetFields, err := client.CDN.Presets.Applied.GetResourcePreset(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", appliedPresetFields.ID)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
CDN resource ID.
Response
Successful.
Preset applied to the object and the list of object fields that are managed by the preset.
ID of the applied preset.
Example:
42
Name of the applied preset.
Example:
"Static content acceleration"
Defines whether the applied preset can be unapplied from the object by the current user.
Example:
true
Object fields managed by the preset. Option fields are prefixed with options..
Example:
[
"options.gzipOn",
"options.browser_cache_settings"
]
Was this page helpful?